﻿* Encoding: UTF-8.

*Syntax for replicating results reported in "Improving the effectiveness of performance feedback by considering personality traits and task demands"

*Note:
*Missing data in demographic variables is due to a lack of response from participants (Missing Age =1, Gender =4, Student status =4, Ethnicity =3).
*There is one missing value (NeutralTotalTime for participant R_3sv647aFXvM8RcB). The total task time for this participant was omitted before the datasets 
were combined because of an apparent error in time recording (the time for this participant was almost twice as long as the next longest time). 

*Sequential analyses reported in manuscript: 

*"The coded sentiment of each surveys comments was compared to verify the relative perception of task difficulty"

SORT CASES  BY StudyCodeNumber.
SPLIT FILE SEPARATE BY StudyCodeNumber.
FREQUENCIES VARIABLES=Coded_Comments
  /ORDER=ANALYSIS.
SPLIT FILE OFF.


*T-test
*"we conducted three independent samples t-tests to assess whether our feedback manipulation was effective for each of the three surveys. 
*The test variable in these models was the degree of motivation demonstrated on the first five trials of the puzzle task after feedback. 
*Note: The motivational variable represented cumulative time on task for the first five trials of the playful and difficult task surveys. 
*Because we lacked trial specific time data for the neutral task, this motivational variable represented the percentage of correct solutions on the first five trials."

*In order to test whether feedback valance affected motivation across tasks, the motivational variables from each study ("PlayfulTaskManipulationCheck" "DifficultTaskManipulationCheck" 
and "NeutralTaskManipulationCheck") were Z-transformed and combined into a single column: AllConditionsManipulationCheck. 

T-TEST GROUPS=FeedbackCondition(-1 1)
  /MISSING=ANALYSIS
  /VARIABLES=AllConditionsManipulationCheck
  /CRITERIA=CI(.95).

*T-tests for the individual survey conditions 

T-TEST GROUPS=FeedbackCondition(-1 1)
  /MISSING=ANALYSIS
  /VARIABLES=PlayfulTaskManipulationCheck DifficultTaskManipulationCheck 
    NeutralTaskManipulationCheck
  /CRITERIA=CI(.95).

*3-way ANOVA
*To test whether Big Five scores moderated the motivational effects of Task Difficulty x Feedback, a three-way ANOVA was conducted. 
*The dependent variable in this model was the combined time on the playful and difficult tasks (z-transformed) [ i.e.Combined.TIME.on.Playful.and.Difficult.Tasks] . Task difficulty (–1 = difficult condition, 
*1= playful condition) and feedback (–1 = negative PF condition) were entered as fixed factors, and the Big Five traits were entered as covariates. 
*Accordingly, the model included five 3-way interaction terms representing Personality x Difficulty x Feedback, for each trait (e.g. Conscientiousness x Difficulty x Feedback). 

UNIANOVA Combined.TIME.on.Playful.and.Difficult.Tasks BY Playful.vs.Difficult FeedbackCondition WITH CONSIEN 
    NEUR EXTRAV OPENNESS AGREEAB
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /CRITERIA=ALPHA(0.05)
  /DESIGN=Playful.vs.Difficult FeedbackCondition CONSIEN NEUR EXTRAV OPENNESS AGREEAB 
    CONSIEN*FeedbackCondition*Playful.vs.Difficult FeedbackCondition*NEUR*Playful.vs.Difficult 
    EXTRAV*FeedbackCondition*Playful.vs.Difficult FeedbackCondition*OPENNESS*Playful.vs.Difficult 
    AGREEAB*FeedbackCondition*Playful.vs.Difficult.

*Two 2-way ANOVAs
*To unpack the three-way interactions, two two-way ANOVAs were conducted, one for each feedback condition.
*In each model, time on task was predicted by difficulty condition, each Big Five trait, and five interactions (Trait x Difficulty).

UNIANOVA Combined.TIME.NegFeedback BY Playful.vs.Difficult WITH CONSIEN NEUR EXTRAV OPENNESS 
    AGREEAB
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /CRITERIA=ALPHA(0.05)
  /DESIGN=Playful.vs.Difficult CONSIEN NEUR EXTRAV OPENNESS AGREEAB 
    CONSIEN*Playful.vs.Difficult NEUR*Playful.vs.Difficult EXTRAV*Playful.vs.Difficult 
    OPENNESS*Playful.vs.Difficult AGREEAB*Playful.vs.Difficult.

UNIANOVA Combined.TIME.PosFeedback BY Playful.vs.Difficult WITH CONSIEN NEUR EXTRAV OPENNESS 
    AGREEAB
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /CRITERIA=ALPHA(0.05)
  /DESIGN=Playful.vs.Difficult CONSIEN NEUR EXTRAV OPENNESS AGREEAB 
    CONSIEN*Playful.vs.Difficult NEUR*Playful.vs.Difficult EXTRAV*Playful.vs.Difficult 
    OPENNESS*Playful.vs.Difficult AGREEAB*Playful.vs.Difficult.

**Two regressions clarifying negative feedback simple effects
*To unpack the interactions uncovered in the negative feedback condition, two regressions were conducted predicting time 
*on the difficult task (model 1) and the playful task (model 2). The independent variables in each model were the Big Five personality traits.

SORT CASES  BY Playful.vs.Difficult.
SPLIT FILE SEPARATE BY Playful.vs.Difficult.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Combined.TIME.NegFeedback
  /METHOD=ENTER OPENNESS EXTRAV CONSIEN AGREEAB NEUR.
SPLIT FILE OFF.

**Two regressions clarifying positive feedback simple effects
To elucidate the interactions uncovered in the positive feedback condition, two regressions were conducted predicting time on the difficult 
task (model 1) and the playful task (model 2). Again, the independent variables in each model were the Big Five traits. 

SORT CASES  BY Playful.vs.Difficult.
SPLIT FILE SEPARATE BY Playful.vs.Difficult.
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Combined.TIME.PosFeedback
  /METHOD=ENTER OPENNESS EXTRAV CONSIEN AGREEAB NEUR.
SPLIT FILE OFF.

**To test whether personality interacts with feedback on tasks that are neither difficult nor playful, a two-way ANOVA was conducted with
 time on the neutral task as the dependent variable. This model was comprised of a total of 11 independent variables:  Feedback condition 
(–1 = negative condition), the Big Five personality traits, and five interaction terms (Feedback x Trait).

UNIANOVA NeutralTotalTimeFinal BY FeedbackCondition WITH CONSIEN NEUR EXTRAV OPENNESS AGREEAB
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /CRITERIA=ALPHA(0.05)
  /DESIGN=FeedbackCondition CONSIEN NEUR EXTRAV OPENNESS AGREEAB CONSIEN*FeedbackCondition 
    FeedbackCondition*NEUR EXTRAV*FeedbackCondition FeedbackCondition*OPENNESS 
    AGREEAB*FeedbackCondition.


